#!/usr/bin/tclsh

set OBJDUMP /usr/cross/bin/sparc64-elf-objdump

set fd [open "|$OBJDUMP -h $argv | grep \\\.set\\\." "r"]

gets $fd foo
while {[eof $fd] != 1} {
	scan $foo "%s .set.%s %d" dummy setname sz
	if {[info exists sec_sz($setname)]} {
		incr sec_sz($setname) $sz
	} else {
		set sec_sz($setname) $sz
	}
	gets $fd foo
}

if {[array exists sec_sz]} {
	foreach i [array names sec_sz] {
		puts "DEFINE_SET($i, $sec_sz($i));"
	}
}
