/*-
 * Copyright 1979, 1980, 1983, 1986, 1988, 1989, 1991, 1992, 1993, 1994
 * 	The Regents of the University of California.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 * This product includes software developed by the University of
 * California, Berkeley and its contributors.
 * 4. Neither the name of the University nor the names of its contributors
 *    may be used to endorse or promote products derived from this software
 *    without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 *	$Id$
 */

#if !defined(__ASSEMBLER__)
struct trapframe {
	unsigned long tf_i0;
	unsigned long tf_i1;
	unsigned long tf_i2;
	unsigned long tf_i3;
	unsigned long tf_i4;
	unsigned long tf_i5;
	unsigned long tf_i6;
	unsigned long tf_i7;
	unsigned long tf_l0;
	unsigned long tf_l1;
	unsigned long tf_l2;
	unsigned long tf_l3;
	unsigned long tf_l4;
	unsigned long tf_l5;
	unsigned long tf_l6;
	unsigned long tf_l7;
	unsigned long tf_o0;
	unsigned long tf_o1;
	unsigned long tf_o2;
	unsigned long tf_o3;
	unsigned long tf_o4;
	unsigned long tf_o5;
	unsigned long tf_o6;
	unsigned long tf_o7;
	unsigned long tf_g0;
	unsigned long tf_g1;
	unsigned long tf_g2;
	unsigned long tf_g3;
	unsigned long tf_g4;
	unsigned long tf_g5;
	unsigned long tf_g6;
	unsigned long tf_g7;
	unsigned long tf_wstate;
	unsigned long tf_pc;
	unsigned long tf_npc;
};

#endif

#define BIAS 2047
#define REGWIN_SZ 0x80
