#include <sys/param.h>
#include <sys/kernel.h>
#include <sys/systm.h>
#include <machine/prom.h>

extern struct linker_set sysinit_set;
static char copyright[] = "(C) ucb 1997 1998\n";

/* ARGSUSED */
void
print_caddr_t(void *foo)
{
	printf((const char *)foo);
}

SYSINIT(announce, SI_SUB_COPYRIGHT, SI_ORDER_FIRST, print_caddr_t, copyright)

void
test_ls()
{
	struct sysinit **sipp = 0;

	sipp = (struct sysinit **)sysinit_set.ls_items;
	printf("ls_length = %d\n", sysinit_set.ls_length);
	while (*sipp != 0) {
		printf("*sip = %lx, func =  %lx, udata = %lx\n",
		       (unsigned long)sipp, (unsigned long)(*sipp)->func,
		       (unsigned long)(*sipp)->udata);
		(*((*sipp)->func))((*sipp)->udata);
		sipp++;
	}
}
